cURL
curl --request POST \ --url https://api-{region}.sesametime.com/schedule/v1/holiday-calendar \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF { "name": "Zona Valencia", "daysOff": [ { "name": "New Year's Day", "date": "2021-01-01" } ] } EOF
{ "data": { "id": "37acce51-a7e3-498d-b235-5ae8f8682078", "name": "Zona Valencia", "companyId": "37acce51-a7e3-498d-b235-5ae8f8682078", "dayOff": [ { "id": "15547588-2e7e-4ac2-8f8a-3dce978065ba", "name": "New Year's Day", "date": "2021-01-01" } ], "typeId": "37acce51-a7e3-498d-b235-5ae8f8682078", "default": false }, "meta": { "currentPage": 1, "lastPage": 1, "total": 1, "perPage": 1 } }
API token obtained from Sesame HR Dashboard > Settings > Integrations > API
Create a Holidays Calendar
The name of the holidays
"Zona Valencia"
Show child attributes
Array of Objects
Suggestions